#include "TOMLEAF.inc"
//XXXXXXXXXXXXXXXXXXXXX E I N S T E L L U N G E N - S E T T I N G S XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
//LEAF
#declare BLATTYP=URBLATT//Name of leaf, you find in TOMLEAF.inc: URBLATT;LINDENBLATT;PALMBLATT;POLYBLATT;POLYBLATT2;
#declare MAX_BLATTLAENGE=12;//Length of leaf in cm
#declare MAX_BLATTBREITE=7;//Width of leaf in cm
#declare MAX_BLATTHOEHE=0.5;//Height of leaf in cm
#declare MAX_BLATTKIPPE=30;//Tilt of leaf in degree
#declare MAX_BLATTDREH=30;//Turn of leaf in degree
#declare MAX_BLATTNEIGE=30;//Inclination of leaf in degree
//BUNCH
#declare STAUDEN_MAJOR_RADIUS=60;//Inner radius of bunches in cm
#declare STAUDEN_MINOR_RADIUS=60;//Outer radius of bunches in cm
#declare HORIZ_STAUDEN_TRICHTER=270;//Horizontal opening of bunch in degree
#declare VERTIK_STAUDEN_TRICHTER=270;//Vertical opening of bunch in degree
#declare HORIZ_STAUDENNEIGUNG=50;//Horizontal inclination of whole bunch in degree
#declare VERTIK_STAUDENNEIGUNG=50;//Vertical inclination of whole bunch in degree 
#declare HORIZ_STAUDENNEIGUNGSSPIEL=10;//Scope of horizontal inclination in degree 
#declare VERTIK_STAUDENNEIGUNGSSPIEL=10;//Scope of vertical inclination in degree
#declare STAUDENDREHSCHALTER=1;//To turn on (1) or turn off (0) the rotation of the bunch around the branch 
#declare STAUDENWECHSELSCHALTER=0;//If previous setting is 0, here you can decide if bunches should alternate reciprocal at the branch (1=yes;0=no)
#declare STAUDENNEIGUNGSSCHALTER=1;//To line up (1) or not (0) the bunch against the branch to the end of the branch horizontal...
#declare VERTIK_STAUDENNEIGUNGSSCHALTER=1;//...and vertical
#declare STAUDEN_VERFORMUNG=<1,1,1>;//Simple scale of the whole bunch
#declare ZWEIGLAENGE=0;//Length of twig; beware of lengthen too much because of longer parsingtime. Each bunch has one twig.
#declare ZWEIGVERSTAERKUNG=1.5;//Use this factor to change the thickness of the twig, that depends on the thickness of the branch
//BRANCH
#declare STAUDEN_ANSATZ=250;//Distance from the trunk to the innermost bunch at the branch
#declare STAUDENBEREICH=300;//Distance between the innermost and outermost (end of branch) bunch at the branch
#declare STAUDENJUSTAGE=1;//Factor for additional shift of all bunches at the branch
#declare ASTSTAERKE=1.0;//Factor for changing the thickness of the branch depending on the thickness of the trunk
#declare ASTBIEGUNG=50;//Width of the outer bend of the branch
#declare HORIZ_ASTBIEGUNGSSCHALTER=1;//switch on (1) or off (0) the horizontal bend
#declare ABFZ=5;//Frequency of the outer bend of the branch
#declare ASTWINDUNG=15;//Width of the inner bend fit into the outer bend
#declare ASTWINDUNGSFREQUENZ=5.;//Frequency of the inner bend of the branch
#declare ASTKNORRE=7;//Width of the innermost bend (knots, gnarled) of the branch - fit into inner bend
#declare ASTKNORRENFREQUENZ=3;//Frequency of the innermost bend
#declare ASTVERKUERZUNG=.2;//This shortens the length of branches towards the top of the trunk (1=the length of the highest branch is 0)
#declare ASTVERJUENGUNG=1;//Adjustment, how fast the thickness of the branch goes to 0
#declare ASTDREHSCHALTER=1;//Switch on (1) or off (0) the turn of the branches around its longitudinal axis
#declare ASTWECHSELSCHALTER=0;//Here you decide, if branches alternate reciprocal at the trunk
#declare ASTSPIRALE=60;//Additional winding in the branch (in degree: 360 = turn around once)
//TRUNK
#declare STAMMRADIUS=16;//Thickness of the trunk
#declare BIEGUNG_X=-20;//Width of bend in x-direction
#declare BIEGUNG_Z=5;//Width of bend in z-direction
#declare FREQUENZ_X=2;//Frequency of x-bend
#declare FREQUENZ_Z=2;//Frequency of z-bend
#declare STAMMWINDUNG=5;//Width of inner bend (fit into bend) of the trunk
#declare STAMMWINDUNGSFREQUENZ=5;//Frequency of inner bend
#declare KNORRIGKEIT=5;//Width of innermost bend of the trunk (fit into the inner bend)
#declare STAMMKNORRENFREQUENZ=3;//Frequency of the innermost bend
#declare STAMMSPIRALE=900;//Additional winding of the trunk in degrees (360 = turn around once)
#declare STAMMVERJUENGUNG=1;//How fast the thickness of the trunk decreases (1=no thickness at top of tree; 0=same thickness at bottom and top)
#declare STAMMVERLAENGERUNG=0;//To make the trunk longer
#declare ASTANSATZ=100;//Distance from the ground to the first/lowest branch at the trunk
#declare ASTBEREICH=200;//Distance from the first/lowest to the last/highest branch at the trunk
#declare STAMM_FARBE_1=<0.1,.05,0>;//First color of the bark representing its "ridges"
#declare STAMM_FARBE_2=<1,1,1>;//Second color of the bark representing its "valleys"
#declare MASERUNG_WEITE=25;//Width of grain of bark  
#declare MASERUNG_HOEHE=5;//Height of grain of bark
#declare RINDENTIEFE=2;//Deep of gnarled bark
#declare PALMSTAMM=0.1;//Makes a trunk with more heavy, regular knots, like a trunk of a palm - it could be better
//ROOT
#declare WURZELSTAERKE=30;//Thickness of the root
#declare WURZELDREHSCHALTER=1;//Switch on (1) or off (0) the turn around the root around its longitudinal axis
#declare WURZELLAENGE=70;//Length of the root
#declare WURZELNEIGUNG=20;//The inclination of the uppermost root to the trunk
#declare WURZELBIEGUNG=40;//Width of the bend of the root 
#declare WURZELFREQUENZ=3;//Frequency of the bend
#declare WURZELKNORRE=20;//Width of the inner bend of the root 
#declare WURZELKNORRENFREQUENZ=6;//Frequency of the inner bend
#declare WURZELPENDEL=6;//Scope of the inclination
#declare WURZELANSATZ=25;//Height of the uppermost root at the trunk
//TREE
#declare BLATTZAHL=20000;//The quantity of all leaves at the tree
#declare STAUDENZAHL=100;//The quantity of all bunches at the tree
#declare ASTZAHL=15;//The quantity of all branches at the tree
#declare WURZELZAHL=15;//The quantity of all roots at the tree
#declare STAUDENVERJUENGUNG_AM_AST=.5;//Adjustment to decrease the size of the outer bunches at the branch
#declare STAUDENVERJUENGUNG_AM_BAUM=.4;//Adjustment to decrease the size of the bunches at the top of the tree
#declare ASTNEIGUNG=25;//Inclination of the lowest branch to the trunk (vertical at the top of the trunk)
#declare SPIEL=1373.9;//Each value results in a new variation/arrangement of the equal branches and bunches - play with it! 
#declare SPIEL_WURZEL=132.3;//The same for the roots
//COLOR OF THE FOLIAGE
#declare BASIS_FARBE_1=<0,1,0>;//First color of the lower leaves
#declare BASIS_FARBE_2=<1,1,0>;//Second color of the lower leaves
#declare KRONEN_FARBE_1=<1,1,0>;//First color of the upper leaves
#declare KRONEN_FARBE_2=<1,.4,0>;//Second color of the upper leaves
#declare VERWIRBELUNG=2;//Turbulence of these colors
#declare UEBERGANG_BASIS_KRONE=0.5;//Where the changing of these colors should be happen (0.5 means at half of distance between lowest and highest leaves)
#declare UEBERGANG_TURBULENZ=0.5;//Turbulence in the changing of colors
#declare GLANZ=1;//If you want glossy leaves, set the value higher than 0 (like phong)
//GENERAL
#declare PARSINGTIME=1;//Save a bit of parsingtime (1 = normal amount of parsingtime; 0.5 tries to halve the parsingtime, but be careful - perhaps your tree breaks up)
//XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
